Page MenuHomeFreeBSD

- Import lagg(4) broadcast mode from OpenBSD.
ClosedPublic

Authored by araujo on Aug 6 2014, 5:10 AM.

Details

Summary
  • Import the broadcast mode from OpenBSD, it allows sends frames to all ports of the

lagg(4) group and receives frames on any port of the lagg(4).

NOTE: Yes, its will send duplicated packages, but some applications might want use it in this way.
Test Plan
  • Verified using ifstat(1) and tcpdump(1).

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

araujo updated this revision to Diff 977.Aug 6 2014, 5:10 AM
araujo retitled this revision from to - Import lagg(4) broadcast mode from OpenBSD..
araujo updated this object.
araujo edited the test plan for this revision. (Show Details)
araujo added reviewers: thompsa, glebius, adrian.
araujo updated this object.Aug 6 2014, 6:40 AM
glebius edited edge metadata.Aug 8 2014, 10:41 AM

Patch should not hijack LAGG_PROTO_ETHERCHANNEL. Apart that it looks fine.

thompsa edited edge metadata.EditedAug 10 2014, 10:51 PM

I agree with Gleb. I have noted in D539 that LAGG_PROTO_ETHERCHANNEL should be kept for compatibility.

Hello guys,

Finally I had time to finish this patch, as Glebius and Thompsa mention, this new patch does not hijack the FEC protocol, and we keep it as it is, just add a new protocol options 'broadcast'.

Looking forward for your review and approval.

Best Regards,

Isn't it possible to drop new patch on top of old one in this review system?

Maybe is possible to remove the old patch entirely and attache this one. I can try!

araujo updated this revision to Diff 1654.Sep 17 2014, 9:41 AM
araujo edited edge metadata.

Add the new patch that does not hijack the FEC protocol.

glebius accepted this revision.Sep 17 2014, 9:59 AM
glebius edited edge metadata.
This revision is now accepted and ready to land.Sep 17 2014, 9:59 AM